import { EventEmitter, OnInit } from "@angular/core";
import { AxiosApiClient, CmsPageDto } from "@smallstack/axios-api-client";
import * as i0 from "@angular/core";
export declare class SimpleCmsComponent implements OnInit {
    private apiClient;
    locale: string;
    currentPageId: string;
    readonly currentPageChange: EventEmitter<CmsPageDto>;
    pages: CmsPageDto[];
    currentPage: CmsPageDto;
    currentData: string;
    isLoading: boolean;
    fallbackChain: string[];
    constructor(apiClient: AxiosApiClient);
    setCurrentPage(cmsPage: CmsPageDto): void;
    ngOnInit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SimpleCmsComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SimpleCmsComponent, "simple-cms", never, { "locale": { "alias": "locale"; "required": false; }; "currentPageId": { "alias": "currentPageId"; "required": false; }; "pages": { "alias": "pages"; "required": false; }; }, { "currentPageChange": "currentPageChange"; }, never, never, false, never>;
}
