import { ChangeDetectorRef } from "@angular/core";
import { MatDialog } from "@angular/material/dialog";
import { AxiosApiClient, CalendarEntryDto } from "@smallstack/axios-api-client";
import * as i0 from "@angular/core";
export declare class MyCalendarEventsComponent {
    private axiosApiClient;
    private cdr;
    private matDialog;
    events: CalendarEntryDto[];
    constructor(axiosApiClient: AxiosApiClient, cdr: ChangeDetectorRef, matDialog: MatDialog);
    load(): Promise<void>;
    openEntry(calendarEntry: CalendarEntryDto): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MyCalendarEventsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MyCalendarEventsComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
